import {
  AppDatabase, ICell, IJson, IText,
} from "./data";

export class ReaderJson {
  static async readAllJSON(): Promise<Array<IJson>> {
    const database = new AppDatabase();
    console.time("读取数据耗时: ");
    const data = await database.jsons.toArray();
    console.timeEnd("读取数据耗时: ");
    return data;
  }

  static async readAllArray(): Promise<Array<ICell>> {
    const database = new AppDatabase();
    console.time("读取数据耗时: ");
    const data = await database.cells.toArray();
    console.timeEnd("读取数据耗时: ");
    return data;
  }

  static async readAllText(): Promise<Array<IText>> {
    const database = new AppDatabase();
    console.time("读取数据耗时: ");
    const data = await database.text.toArray();
    console.timeEnd("读取数据耗时: ");
    return data;
  }
}
