import { ReaderJson } from "./core/reader";
import { ClearJson } from "./core/clear";

import {
  WriterArray,
  WriterBulkArray,
  WriterJson,
  WriterJsonText,
} from "./core/writer";

(window as any).TestWriteJson = async () => {
  await WriterJson.write1w();
  await ReaderJson.readAllJSON();
  await ClearJson.clearAllJSON();

  await WriterJson.write5w();
  await ReaderJson.readAllJSON();
  await ClearJson.clearAllJSON();

  await WriterJson.write10w();
  await ReaderJson.readAllJSON();
  await ClearJson.clearAllJSON();

  await WriterJson.write50w();
  await ReaderJson.readAllJSON();
  await ClearJson.clearAllJSON();

  await WriterJson.write100w();
  await ReaderJson.readAllJSON();
  await ClearJson.clearAllJSON();

  await WriterJson.write500w();
  await ReaderJson.readAllJSON();
  await ClearJson.clearAllJSON();

  await WriterJson.write1000w();
  await ReaderJson.readAllJSON();
  await ClearJson.clearAllJSON();
};

(window as any).TestWriterJsonText = async () => {
  await WriterJsonText.write1w();
  await ReaderJson.readAllText();
  await ClearJson.clearAllText();

  await WriterJsonText.write5w();
  await ReaderJson.readAllText();
  await ClearJson.clearAllText();

  await WriterJsonText.write10w();
  await ReaderJson.readAllText();
  await ClearJson.clearAllText();

  await WriterJsonText.write50w();
  await ReaderJson.readAllText();
  await ClearJson.clearAllText();

  await WriterJsonText.write100w();
  await ReaderJson.readAllText();
  await ClearJson.clearAllText();

  await WriterJsonText.write500w();
  await ReaderJson.readAllText();
  await ClearJson.clearAllText();

  // 字符串过长
  // await WriterJsonText.write1000w();
  // await ReaderJson.readAllText();
  // await ClearJson.clearAllText();
};

(window as any).TestWriterArray = async () => {
  await WriterArray.write1w();
  await ReaderJson.readAllArray();
  await ClearJson.clearAllArray();

  await WriterArray.write5w();
  await ReaderJson.readAllArray();
  await ClearJson.clearAllArray();

  await WriterArray.write10w();
  await ReaderJson.readAllArray();
  await ClearJson.clearAllArray();

  await WriterArray.write50w();
  await ReaderJson.readAllArray();
  await ClearJson.clearAllArray();

  await WriterArray.write100w();
  await ReaderJson.readAllArray();
  await ClearJson.clearAllArray();

  await WriterArray.write500w();
  await ReaderJson.readAllArray();
  await ClearJson.clearAllArray();

  await WriterArray.write1000w();
  await ReaderJson.readAllArray();
  await ClearJson.clearAllArray();
};

(window as any).TestWriterBulkArray = async () => {
  await WriterBulkArray.write1w();
  await ReaderJson.readAllArray();
  await ClearJson.clearAllArray();

  await WriterBulkArray.write5w();
  await ReaderJson.readAllArray();
  await ClearJson.clearAllArray();

  await WriterBulkArray.write10w();
  await ReaderJson.readAllArray();
  await ClearJson.clearAllArray();

  await WriterBulkArray.write50w();
  await ReaderJson.readAllArray();
  await ClearJson.clearAllArray();

  await WriterBulkArray.write100w();
  await ReaderJson.readAllArray();
  await ClearJson.clearAllArray();

  await WriterBulkArray.write500w();
  await ReaderJson.readAllArray();
  await ClearJson.clearAllArray();

  await WriterBulkArray.write1000w();
  await ReaderJson.readAllArray();
  await ClearJson.clearAllArray();
};
